Groups | Search | Server Info | Keyboard shortcuts | Login | Register [http] [https] [nntp] [nntps]


Groups > linux.debian.bugs.dist > #1187449

Bug#1064748: guix: FTBFS: In procedure canonicalize-path: No such file or directory

From Lucas Nussbaum <lucas@debian.org>
Newsgroups linux.debian.bugs.dist
Subject Bug#1064748: guix: FTBFS: In procedure canonicalize-path: No such file or directory
Date 2024-02-25 21:00 +0100
Message-ID <IbsPg-cB9F-7@gated-at.bofh.it> (permalink)
Organization linux.* mail to news gateway

Show all headers | View raw


Source: guix
Version: 1.4.0-5
Severity: serious
Justification: FTBFS
Tags: trixie sid ftbfs
User: lucas@debian.org
Usertags: ftbfs-20240224 ftbfs-trixie

Hi,

During a rebuild of all packages in sid, your package failed to build
on amd64.


Relevant part (hopefully):
> SKIP: tests/guix-build
> ======================
> 
> ++ dirname ./tests/guix-build.sh
> + . ./tests/common.sh
> + skip_if_network_unreachable
> + network_reachable
> + guile -c '(getaddrinfo "www.gnu.org" "80" AI_NUMERICSERV)'
> + return 1
> + exit 77
> SKIP tests/guix-build.sh (exit status: 77)
> 
> SKIP: tests/guix-build-branch
> =============================
> 
> + guix build --version
> guix build (GNU Guix) 1.4.0
> Copyright (C) 2022 the Guix authors
> License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.
> ++ dirname ./tests/guix-build-branch.sh
> + . ./tests/common.sh
> + skip_if_network_unreachable
> + network_reachable
> + guile -c '(getaddrinfo "www.gnu.org" "80" AI_NUMERICSERV)'
> + return 1
> + exit 77
> SKIP tests/guix-build-branch.sh (exit status: 77)
> 
> SKIP: tests/guix-gc
> ===================
> 
> ++ dirname ./tests/guix-gc.sh
> + . ./tests/common.sh
> + skip_if_network_unreachable
> + network_reachable
> + guile -c '(getaddrinfo "www.gnu.org" "80" AI_NUMERICSERV)'
> + return 1
> + exit 77
> SKIP tests/guix-gc.sh (exit status: 77)
> 
> SKIP: tests/guix-git-authenticate
> =================================
> 
> + '[' -d /<<PKGBUILDDIR>>/.git ']'
> + exit 77
> SKIP tests/guix-git-authenticate.sh (exit status: 77)
> 
> SKIP: tests/guix-pack
> =====================
> 
> ++ dirname ./tests/guix-pack.sh
> + . ./tests/common.sh
> + skip_if_network_unreachable
> + network_reachable
> + guile -c '(getaddrinfo "www.gnu.org" "80" AI_NUMERICSERV)'
> + return 1
> + exit 77
> SKIP tests/guix-pack.sh (exit status: 77)
> 
> SKIP: tests/guix-pack-localstatedir
> ===================================
> 
> + guix pack --version
> guix pack (GNU Guix) 1.4.0
> Copyright (C) 2022 the Guix authors
> License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.
> ++ guile -c '(use-modules (guix config))(display %storedir)'
> + storedir=/gnu/store
> ++ guile -c '(use-modules (guix config))(display %localstatedir)'
> + localstatedir=/var
> + NIX_STORE_DIR=/gnu/store
> + GUIX_DAEMON_SOCKET=/var/guix/daemon-socket/socket
> + export NIX_STORE_DIR GUIX_DAEMON_SOCKET
> + guile -c '(use-modules (guix)) (exit (false-if-exception (open-connection)))'
> Backtrace:
> In ice-9/boot-9.scm:
>   3253:13 19 (_)
> In ice-9/threads.scm:
>     390:8 18 (_ _)
> In ice-9/boot-9.scm:
>   3544:20 17 (_)
>    2836:4 16 (save-module-excursion #<procedure 7fe8c92c86f0 at ice-…>)
>   3564:26 15 (_)
> In unknown file:
>           14 (primitive-load-path "guix/utils" #<procedure 7fe8c92d3…>)
> In ice-9/boot-9.scm:
>   3923:23 13 (_)
>    3411:4 12 (define-module* _ #:filename _ #:pure _ #:version _ # _ …)
>   3424:24 11 (_)
>    222:17 10 (map1 (((guix config)) ((srfi srfi-1)) ((srfi #)) (#) …))
>   3327:17  9 (resolve-interface (guix config) #:select _ #:hide _ # _ …)
> In ice-9/threads.scm:
>     390:8  8 (_ _)
> In ice-9/boot-9.scm:
>   3253:13  7 (_)
> In ice-9/threads.scm:
>     390:8  6 (_ _)
> In ice-9/boot-9.scm:
>   3544:20  5 (_)
>    2836:4  4 (save-module-excursion #<procedure 7fe8c92c8630 at ice-…>)
>   3564:26  3 (_)
> In unknown file:
>            2 (primitive-load-path "guix/config" #<procedure 7fe8c92d…>)
> In guix/config.scm:
>      92:7  1 (_)
> In unknown file:
>            0 (canonicalize-path "/gnu/store")
> 
> ERROR: In procedure canonicalize-path:
> In procedure canonicalize-path: No such file or directory
> + exit 77
> SKIP tests/guix-pack-localstatedir.sh (exit status: 77)
> 
> SKIP: tests/guix-pack-relocatable
> =================================
> 
> + guix pack --version
> guix pack (GNU Guix) 1.4.0
> Copyright (C) 2022 the Guix authors
> License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.
> ++ guile -c '(use-modules (guix config))(display %storedir)'
> + storedir=/gnu/store
> ++ guile -c '(use-modules (guix config))(display %localstatedir)'
> + localstatedir=/var
> + NIX_STORE_DIR=/gnu/store
> + GUIX_DAEMON_SOCKET=/var/guix/daemon-socket/socket
> + export NIX_STORE_DIR GUIX_DAEMON_SOCKET
> + guile -c '(use-modules (guix)) (exit (false-if-exception (open-connection)))'
> Backtrace:
> In ice-9/boot-9.scm:
>   3253:13 19 (_)
> In ice-9/threads.scm:
>     390:8 18 (_ _)
> In ice-9/boot-9.scm:
>   3544:20 17 (_)
>    2836:4 16 (save-module-excursion #<procedure 7f9364beb7e0 at ice-…>)
>   3564:26 15 (_)
> In unknown file:
>           14 (primitive-load-path "guix/utils" #<procedure 7f9364bf4…>)
> In ice-9/boot-9.scm:
>   3923:23 13 (_)
>    3411:4 12 (define-module* _ #:filename _ #:pure _ #:version _ # _ …)
>   3424:24 11 (_)
>    222:17 10 (map1 (((guix config)) ((srfi srfi-1)) ((srfi #)) (#) …))
>   3327:17  9 (resolve-interface (guix config) #:select _ #:hide _ # _ …)
> In ice-9/threads.scm:
>     390:8  8 (_ _)
> In ice-9/boot-9.scm:
>   3253:13  7 (_)
> In ice-9/threads.scm:
>     390:8  6 (_ _)
> In ice-9/boot-9.scm:
>   3544:20  5 (_)
>    2836:4  4 (save-module-excursion #<procedure 7f9364beb720 at ice-…>)
>   3564:26  3 (_)
> In unknown file:
>            2 (primitive-load-path "guix/config" #<procedure 7f9364c2…>)
> In guix/config.scm:
>      92:7  1 (_)
> In unknown file:
>            0 (canonicalize-path "/gnu/store")
> 
> ERROR: In procedure canonicalize-path:
> In procedure canonicalize-path: No such file or directory
> + exit 77
> SKIP tests/guix-pack-relocatable.sh (exit status: 77)
> 
> SKIP: tests/guix-package
> ========================
> 
> ++ dirname ./tests/guix-package.sh
> + . ./tests/common.sh
> + skip_if_network_unreachable
> + network_reachable
> + guile -c '(getaddrinfo "www.gnu.org" "80" AI_NUMERICSERV)'
> + return 1
> + exit 77
> SKIP tests/guix-package.sh (exit status: 77)
> 
> SKIP: tests/guix-package-aliases
> ================================
> 
> ++ dirname ./tests/guix-package-aliases.sh
> + . ./tests/common.sh
> + skip_if_network_unreachable
> + network_reachable
> + guile -c '(getaddrinfo "www.gnu.org" "80" AI_NUMERICSERV)'
> + return 1
> + exit 77
> SKIP tests/guix-package-aliases.sh (exit status: 77)
> 
> SKIP: tests/guix-package-net
> ============================
> 
> + guix package --version
> guix package (GNU Guix) 1.4.0
> Copyright (C) 2022 the Guix authors
> License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.
> ++ dirname ./tests/guix-package-net.sh
> + . ./tests/common.sh
> + skip_if_network_unreachable
> + network_reachable
> + guile -c '(getaddrinfo "www.gnu.org" "80" AI_NUMERICSERV)'
> + return 1
> + exit 77
> SKIP tests/guix-package-net.sh (exit status: 77)
> 
> SKIP: tests/guix-home
> =====================
> 
> + set -e
> + exit 77
> SKIP tests/guix-home.sh (exit status: 77)
> 
> SKIP: tests/guix-archive
> ========================
> 
> ++ dirname ./tests/guix-archive.sh
> + . ./tests/common.sh
> + skip_if_network_unreachable
> + network_reachable
> + guile -c '(getaddrinfo "www.gnu.org" "80" AI_NUMERICSERV)'
> + return 1
> + exit 77
> SKIP tests/guix-archive.sh (exit status: 77)
> 
> SKIP: tests/guix-environment
> ============================
> 
> + set -e
> ++ dirname ./tests/guix-environment.sh
> + . ./tests/common.sh
> + skip_if_network_unreachable
> + network_reachable
> + guile -c '(getaddrinfo "www.gnu.org" "80" AI_NUMERICSERV)'
> + return 1
> + exit 77
> SKIP tests/guix-environment.sh (exit status: 77)
> 
> SKIP: tests/guix-environment-container
> ======================================
> 
> + set -e
> + exit 77
> SKIP tests/guix-environment-container.sh (exit status: 77)
> 
> SKIP: tests/guix-shell
> ======================
> 
> + guix shell --version
> guix shell (GNU Guix) 1.4.0
> Copyright (C) 2022 the Guix authors
> License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.
> + configdir=t-guix-shell-config-1547238
> + tmpdir=t-guix-shell-1547238
> + trap 'rm -r "$tmpdir" "$configdir"' EXIT
> + mkdir t-guix-shell-1547238 t-guix-shell-config-1547238 t-guix-shell-config-1547238/guix
> ++ realpath t-guix-shell-config-1547238
> + XDG_CONFIG_HOME=/<<PKGBUILDDIR>>/t-guix-shell-config-1547238
> + export XDG_CONFIG_HOME
> ++ dirname ./tests/guix-shell.sh
> + . ./tests/common.sh
> + skip_if_network_unreachable
> + network_reachable
> + guile -c '(getaddrinfo "www.gnu.org" "80" AI_NUMERICSERV)'
> + return 1
> + exit 77
> + rm -r t-guix-shell-1547238 t-guix-shell-config-1547238
> SKIP tests/guix-shell.sh (exit status: 77)
> 
> SKIP: tests/guix-shell-export-manifest
> ======================================
> 
> ++ dirname ./tests/guix-shell-export-manifest.sh
> + . ./tests/common.sh
> + skip_if_network_unreachable
> + network_reachable
> + guile -c '(getaddrinfo "www.gnu.org" "80" AI_NUMERICSERV)'
> + return 1
> + exit 77
> SKIP tests/guix-shell-export-manifest.sh (exit status: 77)
> 
> SKIP: tests/guix-graph
> ======================
> 
> ++ dirname ./tests/guix-graph.sh
> + . ./tests/common.sh
> + skip_if_network_unreachable
> + network_reachable
> + guile -c '(getaddrinfo "www.gnu.org" "80" AI_NUMERICSERV)'
> + return 1
> + exit 77
> SKIP tests/guix-graph.sh (exit status: 77)
> 
> SKIP: tests/guix-describe
> =========================
> 
> + guix describe --version
> guix describe (GNU Guix) 1.4.0
> Copyright (C) 2022 the Guix authors
> License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.
> + tmpfile=t-guix-describe-1547347
> + trap 'rm -f t-guix-describe-1547347' EXIT
> + rm -f t-guix-describe-1547347
> + '[' -d /<<PKGBUILDDIR>>/.git ']'
> + exit 77
> + rm -f t-guix-describe-1547347
> SKIP tests/guix-describe.sh (exit status: 77)
> 
> SKIP: tests/guix-daemon
> =======================
> 
> + set -e
> ++ dirname ./tests/guix-daemon.sh
> + . ./tests/common.sh
> + skip_if_network_unreachable
> + network_reachable
> + guile -c '(getaddrinfo "www.gnu.org" "80" AI_NUMERICSERV)'
> + return 1
> + exit 77
> SKIP tests/guix-daemon.sh (exit status: 77)
> 
> ============================================================================
> Testsuite summary for GNU Guix 1.4.0
> ============================================================================
> # TOTAL: 2290
> # PASS:  2034
> # SKIP:  248
> # XFAIL: 4
> # FAIL:  4
> # XPASS: 0
> # ERROR: 0
> ============================================================================
> See ./test-suite.log
> Please report to bug-guix@gnu.org
> ============================================================================
> make[6]: *** [Makefile:6044: test-suite.log] Error 1
> make[6]: Leaving directory '/<<PKGBUILDDIR>>'
> make[5]: *** [Makefile:6152: check-TESTS] Error 2
> make[5]: Leaving directory '/<<PKGBUILDDIR>>'
> make[4]: *** [Makefile:6400: check-am] Error 2
> make[4]: Leaving directory '/<<PKGBUILDDIR>>'
> make[3]: *** [Makefile:5929: check-recursive] Error 1
> make[3]: Leaving directory '/<<PKGBUILDDIR>>'
> make[2]: *** [Makefile:6402: check] Error 2
> make[2]: Leaving directory '/<<PKGBUILDDIR>>'
> dh_auto_test: error: make -j1 check "TESTSUITEFLAGS=-j1 --verbose" VERBOSE=1 RES_OPTIONS=attempts:0 AM_SCM_LOG_DRIVER_FLAGS=--brief=no returned exit code 2


The full build log is available from:
http://qa-logs.debian.net/2024/02/24/guix_1.4.0-5_unstable.log

All bugs filed during this archive rebuild are listed at:
https://bugs.debian.org/cgi-bin/pkgreport.cgi?tag=ftbfs-20240224;users=lucas@debian.org
or:
https://udd.debian.org/bugs/?release=na&merged=ign&fnewerval=7&flastmodval=7&fusertag=only&fusertagtag=ftbfs-20240224&fusertaguser=lucas@debian.org&allbugs=1&cseverity=1&ctags=1&caffected=1#results

A list of current common problems and possible solutions is available at
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

If you reassign this bug to another package, please mark it as 'affects'-ing
this package. See https://www.debian.org/Bugs/server-control#affects

If you fail to reproduce this, please provide a build log and diff it with mine
so that we can identify if something relevant changed in the meantime.

Back to linux.debian.bugs.dist | Previous | Next | Find similar | Unroll thread


Thread

Bug#1064748: guix: FTBFS: In procedure canonicalize-path: No such file or directory Lucas Nussbaum <lucas@debian.org> - 2024-02-25 21:00 +0100

csiph-web